<?php
/*
UserCake Version: 2.0.2
http://usercake.com
*/

require_once("models/config.php");
if (!securePage($_SERVER['PHP_SELF'])){die();}
require_once("models/header.php");
include("main-nav.php");

//Ako nisi ulogovan - begaj odavde :)
if(!isUserLoggedIn()) :
	header("Location: index.php");
	die(); 
endif;

//Insert image into DB
function insertImage($userID, $slika) {
	global $mysqli; 
	$stmt = $mysqli->prepare("INSERT INTO images (
		user_id,
		filename
		)
		VALUES (
		?,
		?
		)");
	$stmt->bind_param("is", $userID, $slika);
	$result = $stmt->execute();
	$errorNo = $stmt->errno;
	$stmt->close();	
	
	return $errorNo;
}

$message ='';
if(isset($_POST['dodaj_sliku'])) {
	$slika      = $_FILES['slika'];
	if (!empty($slika['name'])) {	
		$user = $loggedInUser->username;
		$current_time = time();
		// Napravi ime za cover
		$slika_ime = 'cchellenic_'.$user.'_'.$current_time;
		
		// Uploaduj cover sliku
		$upload_status = photo_upload($slika, $slika_ime);
		if($upload_status != 'OK') :
			$message = "<div id='error'>" . $upload_status . "</div>";
		else:
			$errNo = insertImage($loggedInUser->user_id, $slika_ime);
			if ($errNo == 1062) :
				$message = "<div id='error'>Već ste postavili sliku. Sa ovim nalogom nemate više pravo da postavljate slike.</div>";
			else :
				$message = "<div id='success'>Uspešno ste postavili fotografiju. Uskoroćete dobiti obaveštenje od administratora na mejl.</div><img src='ccphotos/$slika_ime.jpg' alt='' />";
			endif;
			
		endif;
		
	}
}
?>
<section>
    <h2>Postavite svoju fotografiju</h2>
    <?php 
			echo $message;
			//echo $loggedInUser->user_id;
		?>
    <?php if(!isset($_POST['dodaj_sliku'])) { ?>
    <div class="upload_form">
    <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" enctype="multipart/form-data">
      <label for="slika">Izaberite fotografiju za postavljanje: </label>
      <input type="file" name="slika" id="slika" value="<?php echo $slika; ?>" />
      <button type="submit" name="dodaj_sliku" id="dodaj_sliku">Pošalji</button>
    </form>
		</div>
    <?php } ?>
</section>
<?php require_once("models/footer.php"); ?>